std::stop_callback< _Callback > Class Template Reference

## Public Types

using | callback_type = _Callback

## Public Member Functions

| stop_callback (const stop_callback &)=delete
template<typename _Cb , enable_if_t< is_constructible_v< _Callback, _Cb >, int > = 0>
| stop_callback (const stop_token &__token, _Cb &&__cb) noexcept(is_nothrow_constructible_v< _Callback, _Cb >)
| stop_callback (stop_callback &&)=delete
template<typename _Cb , enable_if_t< is_constructible_v< _Callback, _Cb >, int > = 0>
| stop_callback (stop_token &&__token, _Cb &&__cb) noexcept(is_nothrow_constructible_v< _Callback, _Cb >)
stop_callback & | operator= (const stop_callback &)=delete
stop_callback & | operator= (stop_callback &&)=delete

## Detailed Description

### template<typename _Callback>
class std::stop_callback< _Callback >

A wrapper for callbacks to be run when a stop request is made.

Definition at line 572 of file stop_token.

The documentation for this class was generated from the following file:

- stop_token